package com.pqs9000.pojo.report;

import java.util.ArrayList;
import java.util.List;

public class HistoryTableData {
    private String name; //监测点名称
    private String bdName; //变电站名称
    private String voltage; //电压等级
    private int lineId; //线路ID
    private int pttype; //监测点接线方式
    private List<data> list;

    public int getPttype() {
        return pttype;
    }

    public void setPttype(int pttype) {
        this.pttype = pttype;
    }

    public int getLineId() {
        return lineId;
    }

    public void setLineId(int lineId) {
        this.lineId = lineId;
    }

    public String getBdName() {
        return bdName;
    }

    public void setBdName(String bdName) {
        this.bdName = bdName;
    }

    public String getVoltage() {
        return voltage;
    }

    public void setVoltage(String voltage) {
        this.voltage = voltage;
    }

    public class data {
        private String targetName;  //指标名称
        private String unit; //单位
        private int typeId; //类型id
        private int timeId = 0; //谐波的下标
        private List<ReportTarget> list;

        public int getTimeId() {
            return timeId;
        }

        public void setTimeId(int timeId) {
            this.timeId = timeId;
        }

        public int getTypeId() {
            return typeId;
        }

        public void setTypeId(int typeId) {
            this.typeId = typeId;
        }

        public String getUnit() {
            return unit;
        }

        public void setUnit(String unit) {
            this.unit = unit;
        }

        public String getTargetName() {
            return targetName;
        }

        public void setTargetName(String targetName) {
            this.targetName = targetName;
        }

        public List<ReportTarget> getList() {
            return list;
        }

        public void setList(List<ReportTarget> list) {
            this.list = list;
        }
    }

    public List<data> getList() {
        return list;
    }

    public void setList(List<data> list) {
        this.list = list;
    }

    public void setData(data data) {
        if (this.list == null) {
            this.list = new ArrayList<>();
        }

        this.list.add(data);
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }


}
